import { Component } from '@angular/core';
import { Router } from '@angular/router';
import { IonHeader, IonToolbar, IonTitle, IonContent, ModalController, IonButton, IonGrid, IonCol, IonCardHeader, IonLabel, IonThumbnail, IonCardContent, IonCardTitle, IonCard, IonIcon, IonSearchbar } from '@ionic/angular/standalone';
import { ExploreContainerComponent } from '../explore-container/explore-container.component';
import { FmChatModalInput } from 'fmode-ng';
import { IonRow, IonItem } from '@ionic/angular/standalone';
import { CommonModule } from '@angular/common';
import { SaleCardComponent } from '../component/sale-card/sale-card.component';
// import { ModalAudioMessageComponent } from 'fmode-ng/lib/aigc/chat/chat-modal-input/modal-audio-message/modal-audio-message.component';


@Component({
  selector: 'app-tab3',
  templateUrl: 'tab3.page.html',
  styleUrls: ['tab3.page.scss'],
  standalone: true,
  imports: [
    IonHeader, IonToolbar, IonTitle, IonContent, ExploreContainerComponent,
    IonButton, IonGrid, IonRow, IonCol,IonCardHeader, IonItem, IonLabel,IonThumbnail,IonCardContent,
    IonCardTitle, IonCard, IonIcon, IonSearchbar, CommonModule,SaleCardComponent,
    // ASR语音输入模块
    FmChatModalInput,
    // ModalAudioMessageComponent
  ]
})
export class Tab3Page {
  constructor(
    private modalCtrl:ModalController,
    private router:Router,
    ) {
  }

  categories = [
    { name: '皮肤用药', image: '../../assets/image/doctor7.png' },
    { name: '妇科用药', image: '../../assets/image/doctor7.png' },
    { name: '肠胃消化', image: '../../assets/image/doctor7.png' },
    { name: '呼吸用药', image: '../../assets/image/doctor7.png' },
    { name: '营养补充', image: '../../assets/image/doctor7.png' },
    { name: '家庭常备', image: '../../assets/image/doctor7.png' },
    { name: '耳鼻咽喉', image: '../../assets/image/doctor7.png' },
    { name: '男科用药', image: '../../assets/image/doctor7.png' },
  ];
  
  // 商品列表
  products = [
    { title: '特价', subtitle: '药品', name: '清宫长春胶囊', price: '¥120', image: '../../assets/image/doctor7.png' },
    { title: '特价', subtitle: '药品', name: '知柏地黄丸', price: '¥200', image: '../../assets/image/doctor7.png' },
    { title: '特价', subtitle: '药品', name: '知柏地黄丸', price: '¥200', image: '../../assets/image/doctor7.png' },
  ];

  // goChat(){
  //   this.router.navigateByUrl("/chat/session/role/2DXJkRsjXK")
  // }
}
